## q4wine 1.3.1

=== src/CMakeLists.txt ===
if(QT5 MATCHES ON)
cmake_minimum_required(VERSION 2.8.11)
else(QT5 MATCHES ON)
cmake_minimum_required(VERSION 2.8.0)
endif(QT5 MATCHES ON)

PROJECT(q4wine)

SET(CMAKE_VERBOSE_MAKEFILE ON)

SET(APP_VERSION "1.3.1")
SET(APP_NAME_GLOBAL "q4wine")

if(POLICY CMP0011)
    cmake_policy(SET CMP0011 NEW)
endif(POLICY CMP0011)

option(QT5 "If ON, then q4wine will be built with Qt 5.x." "OFF")
option(DEBUG "If ON, then q4wine will send debug messages to STDOUT. Use it for development or bug reportint purposes." "OFF")
option(RELEASE "If OFF, then force q4wine to use APP_BUILD as CMAKE_INSTALL_PREFIX. Use it for development purposes." "ON")
option(WITH_ICOUTILS "If ON, then build q4wine with icoutils support." "ON")
option(WITH_SYSTEM_SINGLEAPP "If ON, then use system QtSingleApplication library instead building one." "OFF")
option(WITH_WINEAPPDB "If ON, then build q4wine with Wine AppDB browser support." "ON")
option(USE_BZIP2 "Use bzip2 to compress man pages." "OFF")
option(USE_GZIP "Use gzip to compress man pages." "OFF")
option(WITH_DBUS "If ON, then build q4wine with QtDBus notification support." "ON")
option(LINGUAS "Language list" "af;cs;de;en;es;fa;he;it;ja;pl;pt_BR;ru;uk;zh_TW;zh_CN")
option(LIBS_ENTRY_PATH "Destination directory for q4wine-core library")

MESSAGE("\n * Utility for Wine applications and prefixes management.")
MESSAGE(" * Copyright (C) 2008-2016 by Alexey S. Malakhov <brezerk@gmail.com>")
MESSAGE(" * http://brezblock.org.ua/\n")

MESSAGE(STATUS "Q4Wine build environment -- \n")

if(QT5 MATCHES ON)
set(QT_MIN_VERSION "5.2.1")
find_package(Qt5Core REQUIRED)
find_package(Qt5LinguistTools REQUIRED)
find_package(Qt5Network REQUIRED)
find_package(Qt5Sql REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5Xml REQUIRED)
    if (Qt5Core_FOUND)
        message("\n-- Fount Qt Core version ; ${Qt5Core_VERSION}")
    else (Qt5Core_FOUND)
        message(FATAL ERROR "Qt Core libs not found. Please install Qt ${QT_MIN_VERSION}.")
    endif (Qt5Core_FOUND)
    if (WITH_DBUS MATCHES ON)
        find_package(Qt5DBus REQUIRED)
        if (NOT Qt5DBus_FOUND)
            message(FATAL ERROR "Qt DBus libraries missing. Please install Qt DBus ${QT_MIN_VERSION} or set WITH_DBUS to OFF")
        endif (NOT Qt5DBus_FOUND)
    endif (WITH_DBUS MATCHES ON)
else(QT5 MATCHES ON)
    set(QT_MIN_VERSION "4.4.0")
    find_package(Qt4 REQUIRED)
    IF(QT_FOUND)
	MESSAGE("\n-- Found Qt version : ${QTVERSION}")

	IF(QT_QTSQL_FOUND)
	     SET(QT_USE_QTSQL 1)
	ELSE(QT_QTSQL_FOUND)
	     MESSAGE(FATAL ERROR "Qt SQL libraries missing.")
	ENDIF(QT_QTSQL_FOUND)

	IF(QT_QTGUI_FOUND)
	     SET(QT_USE_QTGUI 1)
	ELSE(QT_QTGUI_FOUND)
             MESSAGE(FATAL ERROR "Qt GUI libraries missing.")
	ENDIF(QT_QTGUI_FOUND)

	IF(QT_QTNETWORK_FOUND)
	     SET(QT_USE_QTNETWORK 1)
	ELSE(QT_QTNETWORK_FOUND)
	     MESSAGE(FATAL ERROR "Qt Network libraries missing.")
	ENDIF(QT_QTNETWORK_FOUND)

	IF(QT_QTXML_FOUND)
             SET(QT_USE_QTXML 1)
	ELSE(QT_QTXML_FOUND)
             MESSAGE(FATAL ERROR "Qt XML libraries missing.")
	ENDIF(QT_QTXML_FOUND)

	IF(QT_QTCORE_FOUND)
             SET(QT_USE_QTCORE 1)
	ELSE(QT_QTCORE_FOUND)
             MESSAGE(FATAL ERROR "Qt Core libraries missing.")
	ENDIF(QT_QTCORE_FOUND)

	IF(WITH_DBUS)
		IF(QT_QTDBUS_FOUND)
		    SET(QT_USE_QTDBUS 1)
		ELSE(QT_QTDBUS_FOUND)
		    MESSAGE(FATAL ERROR "Qt D-Bus libraries missing.")
		ENDIF(QT_QTDBUS_FOUND)
	ENDIF(WITH_DBUS)

	INCLUDE(${QT_USE_FILE})
     ELSE(QT_FOUND)
	MESSAGE(FATAL ERROR "Qt not found.")
     ENDIF(QT_FOUND)
endif(QT5 MATCHES ON)

MESSAGE(STATUS "Build realm is   : ${CMAKE_SYSTEM_NAME} ${CMAKE_HOST_SYSTEM_PROCESSOR}\n")

IF (${CMAKE_SYSTEM_NAME} MATCHES Linux)
    SET(_OS_LINUX_ 1)
    ADD_DEFINITIONS(-Wall -g)
ENDIF (${CMAKE_SYSTEM_NAME} MATCHES Linux)

IF (${CMAKE_SYSTEM_NAME} MATCHES FreeBSD)
    SET(_OS_FREEBSD_ 1)
    ADD_DEFINITIONS(-Wall -g -DKERNEL)
ENDIF (${CMAKE_SYSTEM_NAME} MATCHES FreeBSD)

IF( ${CMAKE_SYSTEM_NAME} MATCHES Darwin )
    link_directories(/usr/lib)
    SET(_OS_DARWIN_ 1)
    ADD_DEFINITIONS(-Wall -g -DKERNEL)
    SET( PROGNAME q4wine )
    SET( MACOSX_BUNDLE_ICON_FILE "q4wine-128x128.icns" )
    SET( MACOSX_BUNDLE_INFO_STRING "Qt utility for Wine applications and prefixes management" )
    SET( MACOSX_BUNDLE_BUNDLE_NAME ${APP_NAME_GLOBAL})
    SET( MACOSX_BUNDLE_SHORT_VERSION_STRING ${APP_VERSION} )
    SET( MACOSX_BUNDLE_VERSION ${APP_VERSION} )
    SET( MACOSX_BUNDLE_LONG_VERSION_STRING Version ${APP_VERSION} )
    SET( MACOSX_BUNDLE_GUI_IDENTIFIER "http://q4wine.brezblock.org.ua/" )
    SET( MACOSX_BUNDLE_COPYRIGH "Copyright (C) 2008-2016 by Alexey S. Malakhov <brezerk@gmail.com>" )
    SET( DESKTOP_ENTRY_PATH ${CMAKE_INSTALL_PREFIX}/${APP_NAME_GLOBAL}.app/Contents/Applications )
    SET( PIXMAPS_ENTRY_PATH ${CMAKE_INSTALL_PREFIX}/${APP_NAME_GLOBAL}.app/Contents/Resources )
    SET( DATA_ENTRY_PATH ${CMAKE_INSTALL_PREFIX}/${APP_NAME_GLOBAL}.app/Contents/Resources/icons )
    SET( THEMES_ENTRY_PATH ${CMAKE_INSTALL_PREFIX}/${APP_NAME_GLOBAL}.app/Contents/Resources)
    SET( MANPAGE_ENTRY_PATH ${CMAKE_INSTALL_PREFIX}/${APP_NAME_GLOBAL}.app/Contents/man/man1 )
    SET( LIBS_ENTRY_PATH ${CMAKE_INSTALL_PREFIX}/${APP_NAME_GLOBAL}.app/Contents/Frameworks )
    SET( APPS_ENTRY_PATH ${CMAKE_INSTALL_PREFIX}/${APP_NAME_GLOBAL}.app/Contents/MacOS )
    SET( L10N_ENTRY_PATH ${CMAKE_INSTALL_PREFIX}/${APP_NAME_GLOBAL}.app/Contents/l10n )

    SET( WITH_ICOUTILS OFF )
ELSE( ${CMAKE_SYSTEM_NAME} MATCHES Darwin )
    IF( NOT DATA_ENTRY_PATH )
        SET( DATA_ENTRY_PATH ${CMAKE_INSTALL_PREFIX}/share/q4wine/icons )
    ENDIF( NOT DATA_ENTRY_PATH )
    IF( NOT THEMES_ENTRY_PATH )
        SET( THEMES_ENTRY_PATH ${CMAKE_INSTALL_PREFIX}/share/q4wine )
    ENDIF( NOT THEMES_ENTRY_PATH )
    IF( I18N_ENTRY_PATH )
	MESSAGE(WARNING "-DI18N_ENTRY_PATH is obsolete. Use -DL10N_ENTRY_PATH instead.")
	SET( L10N_ENTRY_PATH ${I18N_ENTRY_PATH} )
    ENDIF( I18N_ENTRY_PATH )
    IF( NOT L10N_ENTRY_PATH )
        SET( L10N_ENTRY_PATH ${CMAKE_INSTALL_PREFIX}/share/q4wine/l10n )
    ENDIF( NOT L10N_ENTRY_PATH )
    IF( NOT APPS_ENTRY_PATH )
        SET( APPS_ENTRY_PATH ${CMAKE_INSTALL_PREFIX}/bin )
    ENDIF( NOT APPS_ENTRY_PATH )
    IF( NOT DESKTOP_ENTRY_PATH )
        SET( DESKTOP_ENTRY_PATH ${CMAKE_INSTALL_PREFIX}/share/applications )
    ENDIF( NOT DESKTOP_ENTRY_PATH )
    IF( NOT PIXMAPS_ENTRY_PATH )
        SET( PIXMAPS_ENTRY_PATH ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor )
    ENDIF( NOT PIXMAPS_ENTRY_PATH )
    IF( NOT PIXMAPS_UNITY_ENTRY_PATH )
        SET( PIXMAPS_UNITY_ENTRY_PATH ${CMAKE_INSTALL_PREFIX}/share/icons/ubuntu-mono-dark )
    ENDIF( NOT PIXMAPS_UNITY_ENTRY_PATH )
    IF( NOT MANPAGE_ENTRY_PATH )
        SET( MANPAGE_ENTRY_PATH ${CMAKE_INSTALL_PREFIX}/share/man )
    ENDIF( NOT MANPAGE_ENTRY_PATH )
    IF( NOT LIBS_ENTRY_PATH )
        IF (${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES x86_64)
            SET( LIBS_ENTRY_PATH ${CMAKE_INSTALL_PREFIX}/lib64/q4wine)
        ELSE (${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES x86_64)
            SET( LIBS_ENTRY_PATH ${CMAKE_INSTALL_PREFIX}/lib/q4wine)
        ENDIF (${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES x86_64)
    ENDIF( NOT LIBS_ENTRY_PATH )
ENDIF( ${CMAKE_SYSTEM_NAME} MATCHES Darwin )

# RPATH fixes
# skip the full RPATH for the build tree
#SET(CMAKE_SKIP_BUILD_RPATH  TRUE)
# when building, use the install RPATH already
# (so it doesn't need to relink when installing)
#SET(CMAKE_BUILD_WITH_INSTALL_RPATH TRUE)

# the RPATH to be used when installing
# add the automatically determined parts of the RPATH
# which point to directories outside the build tree to the install RPATH
#SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

IF( NOT ${CMAKE_SYSTEM_NAME} MATCHES Darwin )
    IF( NOT DEFINED SKIP_RPATH )
        SET(CMAKE_INSTALL_RPATH "${LIBS_ENTRY_PATH}")
    ELSE( NOT DEFINED SKIP_RPATH )
        MESSAGE(STATUS "NOTE: Skip for RPATH build!")
        SET(CMAKE_SKIP_BUILD_RPATH  TRUE)
    ENDIF( NOT DEFINED SKIP_RPATH )
ENDIF( NOT ${CMAKE_SYSTEM_NAME} MATCHES Darwin )

IF( NOT LINGUAS )
	SET ( LINGUAS af cs de en es fa he it ja pl pt_BR ru uk zh_TW zh_CN )
ENDIF( NOT LINGUAS )

configure_file(${CMAKE_SOURCE_DIR}/config.h.cmake ${CMAKE_SOURCE_DIR}/config.h )

MESSAGE(STATUS "Q4Wine build options --\n")
file(APPEND ${CMAKE_SOURCE_DIR}/config.h "#define APP_ARCH \"${CMAKE_HOST_SYSTEM_PROCESSOR}\"\n" )
file(APPEND ${CMAKE_SOURCE_DIR}/config.h "#define APP_HOST \"${CMAKE_SYSTEM_NAME}\"\n" )

file(APPEND ${CMAKE_SOURCE_DIR}/config.h "#define APP_VERS \"${APP_VERSION}\"\n")
    MESSAGE(STATUS "Version                       : ${APP_VERSION}")
file(APPEND ${CMAKE_SOURCE_DIR}/config.h "#define APP_PREF \"${CMAKE_INSTALL_PREFIX}\"\n" )

IF( ${CMAKE_SYSTEM_NAME} MATCHES Darwin )
    file(APPEND ${CMAKE_SOURCE_DIR}/config.h "#define _CORELIB_PATH_ \"q4wine.app/Contents/Frameworks/libq4wine-core\"\n" )
ELSE( ${CMAKE_SYSTEM_NAME} MATCHES Darwin )
    file(APPEND ${CMAKE_SOURCE_DIR}/config.h "#define _CORELIB_PATH_ \"libq4wine-core\"\n" )
ENDIF( ${CMAKE_SYSTEM_NAME} MATCHES Darwin )

IF( RELEASE )
    MESSAGE(STATUS "CMAKE_INSTALL_PREFIX          : ${CMAKE_INSTALL_PREFIX}")
    MESSAGE(STATUS "DESKTOP_ENTRY_PATH            : ${DESKTOP_ENTRY_PATH}")
    MESSAGE(STATUS "PIXMAPS_ENTRY_PATH            : ${PIXMAPS_ENTRY_PATH}")
    MESSAGE(STATUS "PIXMAPS_UNITY_ENTRY_PATH      : ${PIXMAPS_UNITY_ENTRY_PATH}")
    MESSAGE(STATUS "MANPAGE_ENTRY_PATH            : ${MANPAGE_ENTRY_PATH}")
    MESSAGE(STATUS "LIBS_ENTRY_PATH               : ${LIBS_ENTRY_PATH}\n")
ELSE ( RELEASE )
    MESSAGE("\n")
    MESSAGE(STATUS "Build Q4Wine in development mode (RELEASE=OFF) --\n")
ENDIF( RELEASE )
file(APPEND ${CMAKE_SOURCE_DIR}/config.h "\n#endif\n" )

    MESSAGE(STATUS "DEBUG                         : ${DEBUG}")
    MESSAGE(STATUS "RELEASE                       : ${RELEASE}")
IF( NOT RELEASE )
    file(APPEND ${CMAKE_SOURCE_DIR}/config.h "#define APP_BUILD \"${CMAKE_CURRENT_BINARY_DIR}\"\n" )
ENDIF ( NOT RELEASE )
    MESSAGE(STATUS "QT5                           : ${QT5}")
    MESSAGE(STATUS "WITH_ICOUTILS                 : ${WITH_ICOUTILS}")
    MESSAGE(STATUS "WITH_SYSTEM_SINGLEAPP         : ${WITH_SYSTEM_SINGLEAPP}")
    MESSAGE(STATUS "WITH_WINEAPPDB                : ${WITH_WINEAPPDB}")
    MESSAGE(STATUS "USE_BZIP2                     : ${USE_BZIP2}")
    MESSAGE(STATUS "USE_GZIP                      : ${USE_GZIP}")
    MESSAGE(STATUS "WITH_DBUS                     : ${WITH_DBUS}\n")

    MESSAGE(STATUS "LINGUAS                       : ${LINGUAS}\n")

MESSAGE(STATUS "See INSTALL file for details and more info --\n")

IF( NOT ${CMAKE_SYSTEM_NAME} MATCHES Darwin )
    find_program( FUSEISO_BIN NAMES fuseiso )
    MESSAGE(STATUS "Searching for fuseiso binary --\n")
    IF (${FUSEISO_BIN} MATCHES FUSEISO_BIN-NOTFOUND)
        MESSAGE(STATUS "    fuseiso : NOT FOUND!\n")
        MESSAGE(STATUS "    WARNING: To have ability to mount and umount ISO9660 images")
        MESSAGE(STATUS "    WARNING: without root privileges you may wish to install")
        MESSAGE(STATUS "    WARNING: fuseiso package ( http://fuseiso.sourceforge.net/ )\n")
    ELSE (${FUSEISO_BIN} MATCHES FUSEISO_BIN-NOTFOUND)
        MESSAGE(STATUS "    fuseiso : ${FUSEISO_BIN}\n")
    ENDIF (${FUSEISO_BIN} MATCHES FUSEISO_BIN-NOTFOUND)
ENDIF( NOT ${CMAKE_SYSTEM_NAME} MATCHES Darwin )

IF (WITH_ICOUTILS MATCHES ON)
    find_program( WRESTOOL NAMES wrestool )
    find_program( ICOTOOL NAMES icotool )
    MESSAGE(STATUS "Searching for icoutils binaries (WITH_ICOUTILS=ON) --\n")
    IF (${WRESTOOL} MATCHES WRESTOOL-NOTFOUND)
        MESSAGE(STATUS "    wrestool : NOT FOUND!")
        MESSAGE(FATAL_ERROR "Please install icoutils package or disable icoutils support by adding -DWITH_ICOUTILS=\"OFF\" option to cmake")
    ELSE (${WRESTOOL} MATCHES WRESTOOL-NOTFOUND)
        MESSAGE(STATUS "    wrestool : ${WRESTOOL}")
    ENDIF (${WRESTOOL} MATCHES WRESTOOL-NOTFOUND)

    IF (${ICOTOOL} MATCHES ICOTOOL-NOTFOUND)

=== src/q4wine-gui/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.0)

SET( DESKTOP_GUI_ENTRY
    ${CMAKE_SOURCE_DIR}/q4wine.desktop
)

SET ( Q4WINE_RESOURCE_SOURCES
    ${CMAKE_SOURCE_DIR}/src/q4wine.qrc
)

SET( Q4WINE_GUI_SOURCES
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/run.cpp
    ${CMAKE_SOURCE_DIR}/src/main.cpp
    ${CMAKE_SOURCE_DIR}/src/core/database/db.cpp
    ${CMAKE_SOURCE_DIR}/src/core/database/table.cpp
    ${CMAKE_SOURCE_DIR}/src/core/database/prefix.cpp
    ${CMAKE_SOURCE_DIR}/src/core/database/versions.cpp
    ${CMAKE_SOURCE_DIR}/src/core/database/dir.cpp
    ${CMAKE_SOURCE_DIR}/src/core/database/icon.cpp
    ${CMAKE_SOURCE_DIR}/src/core/database/last_run_icon.cpp
    ${CMAKE_SOURCE_DIR}/src/core/database/image.cpp
    ${CMAKE_SOURCE_DIR}/src/core/database/logging.cpp
    ${CMAKE_SOURCE_DIR}/src/core/database/versions.cpp
    ${CMAKE_SOURCE_DIR}/src/core/database/sysconfig.cpp
    ${CMAKE_SOURCE_DIR}/src/core/registry.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/about.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/appsettings.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/iconsettings.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/iconsview.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/mainwindow.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/prefixsettings.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/process.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/progress.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/wizard.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/imagemanager.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/winedrivedialog.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/versions.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/iconlistwidget.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/iconlisttoolbar.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/prefixtreewidget.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/prefixtreetoolbar.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/wineprocesswidget.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/prefixcontrolwidget.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/drivelistwidgetitem.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/loggingwidget.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/prefixconfigwidget.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/fakedrivesettings.cpp
)

SET ( Q4WINE_GUI_HEADERS
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/run.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/authors.h
    ${CMAKE_SOURCE_DIR}/src/core/registry.h
    ${CMAKE_SOURCE_DIR}/src/core/database/db.h
    ${CMAKE_SOURCE_DIR}/src/core/database/table.h
    ${CMAKE_SOURCE_DIR}/src/core/database/versions.h
    ${CMAKE_SOURCE_DIR}/src/core/database/prefix.h
    ${CMAKE_SOURCE_DIR}/src/core/database/dir.h
    ${CMAKE_SOURCE_DIR}/src/core/database/icon.h
    ${CMAKE_SOURCE_DIR}/src/core/database/last_run_icon.h
    ${CMAKE_SOURCE_DIR}/src/core/database/image.h
    ${CMAKE_SOURCE_DIR}/src/core/database/logging.h
    ${CMAKE_SOURCE_DIR}/src/core/database/versions.h
    ${CMAKE_SOURCE_DIR}/src/core/database/sysconfig.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/about.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/appsettings.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/iconsettings.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/iconsview.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/mainwindow.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/prefixsettings.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/process.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/progress.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/wizard.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/imagemanager.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/winedrivedialog.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/versions.h
    ${CMAKE_SOURCE_DIR}/config.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/iconlistwidget.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/iconlisttoolbar.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/prefixtreewidget.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/prefixtreetoolbar.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/wineprocesswidget.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/prefixcontrolwidget.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/drivelistwidgetitem.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/loggingwidget.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/prefixconfigwidget.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/fakedrivesettings.h
)

SET ( Q4WINE_GUI_MOC_HEADEDRS
    ${CMAKE_SOURCE_DIR}/src/core/registry.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/appsettings.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/iconsettings.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/iconsview.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/mainwindow.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/prefixsettings.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/process.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/progress.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/about.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/run.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/wizard.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/imagemanager.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/winedrivedialog.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/versions.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/iconlistwidget.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/iconlisttoolbar.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/prefixtreewidget.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/prefixtreetoolbar.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/wineprocesswidget.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/prefixcontrolwidget.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/drivelistwidgetitem.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/loggingwidget.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/prefixconfigwidget.h
    ${CMAKE_SOURCE_DIR}/src/core/database/db.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/fakedrivesettings.h
)

SET ( Q4WINE_GUI_UI_SOURCES
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/About.ui
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/AppSettings.ui
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/IconSettings.ui
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/IconsView.ui
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/MainWindow.ui
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/PrefixSettings.ui
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/FakeDriveSettings.ui
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/Process.ui
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/Run.ui
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/Wizard.ui
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/IconSettings.ui
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/ImageManager.ui
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/WineDriveDialog.ui
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/VersionManager.ui
)

IF (${WITH_WINEAPPDB} MATCHES ON )
    SET( Q4WINE_GUI_SOURCES
        ${Q4WINE_GUI_SOURCES}
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/appdbwidget.cpp
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/linkitemwidget.cpp
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/appdbscrollwidget.cpp
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/appdbheaderwidget.cpp
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/appinfowidget.cpp
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/lineitemwidget.cpp
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/apptestwidget.cpp
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/commentwidget.cpp
        ${CMAKE_SOURCE_DIR}/src/core/xmlparser.cpp
        ${CMAKE_SOURCE_DIR}/src/core/httpcore.cpp
    )

    SET ( Q4WINE_GUI_HEADERS
        ${Q4WINE_GUI_HEADERS}
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/appdbwidget.h
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/linkitemwidget.h
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/appdbscrollwidget.h
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/appdbheaderwidget.h
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/appinfowidget.h
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/lineitemwidget.h
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/apptestwidget.h
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/commentwidget.h
        ${CMAKE_SOURCE_DIR}/src/core/xmlparser.h
        ${CMAKE_SOURCE_DIR}/src/core/httpcore.h
        ${CMAKE_SOURCE_DIR}/src/core/appdbstructs.h
    )

    SET ( Q4WINE_GUI_MOC_HEADEDRS
        ${Q4WINE_GUI_MOC_HEADEDRS}
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/appdbwidget.h
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/linkitemwidget.h
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/appdbscrollwidget.h
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/appdbheaderwidget.h
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/appinfowidget.h
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/lineitemwidget.h
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/apptestwidget.h
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/commentwidget.h
        ${CMAKE_SOURCE_DIR}/src/core/xmlparser.h
        ${CMAKE_SOURCE_DIR}/src/core/httpcore.h
    )

    SET ( Q4WINE_GUI_UI_SOURCES
        ${Q4WINE_GUI_UI_SOURCES}
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/AppInfoWidget.ui
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/AppTestWidget.ui
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/CommentWidget.ui
    )
ENDIF (${WITH_WINEAPPDB} MATCHES ON )

add_custom_target (
    authors
    COMMAND ${CMAKE_SOURCE_DIR}/tools/gen_authors.py --generate
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
)

if (QT5 MATCHES ON)
QT5_ADD_RESOURCES( RCC_SRCS ${Q4WINE_RESOURCE_SOURCES} )

QT5_WRAP_UI( Q4WINE_GUI_UI_HEADERS ${Q4WINE_GUI_UI_SOURCES} ${PLUGINS_GUI_UI_SOURCES} )
QT5_WRAP_CPP( Q4WINE_GUI_MOC_SOURCES ${Q4WINE_GUI_MOC_HEADEDRS} )
else (QT5 MATCHES ON)
QT4_ADD_RESOURCES( RCC_SRCS ${Q4WINE_RESOURCE_SOURCES} )

QT4_WRAP_UI( Q4WINE_GUI_UI_HEADERS ${Q4WINE_GUI_UI_SOURCES} ${PLUGINS_GUI_UI_SOURCES} )
QT4_WRAP_CPP( Q4WINE_GUI_MOC_SOURCES ${Q4WINE_GUI_MOC_HEADEDRS} )
endif (QT5 MATCHES ON)
ADD_EXECUTABLE( q4wine ${Q4WINE_GUI_SOURCES} ${Q4WINE_GUI_HEADERS} ${Q4WINE_GUI_UI_HEADERS} ${Q4WINE_GUI_MOC_SOURCES} ${RCC_SRCS} ${QM_L10N} ${PLUGINS_GUI_SOURCES} ${PLUGINS_GUI_HEADERS} ${PLUGINS_GUI_UI_HEADERS} ${PLUGINS_GUI_MOC_SOURCES})
add_dependencies( q4wine translations_build )

IF (${CMAKE_SYSTEM_NAME} MATCHES FreeBSD)
    SET(BSD_LIBS -lkvm)
ENDIF(${CMAKE_SYSTEM_NAME} MATCHES FreeBSD)

if (QT5 MATCHES ON)
    qt5_use_modules(q4wine Core DBus Network Sql Widgets Xml)
    target_link_libraries(q4wine q4wine-core ${BSD_LIBS} ${QTSINGLEAPPLIB})
else (QT5 MATCHES ON)
TARGET_LINK_LIBRARIES( q4wine ${QT_LIBRARIES} q4wine-core ${BSD_LIBS} ${QTSINGLEAPPLIB})
endif (QT5 MATCHES ON)

IF( RELEASE )
    #install(TARGETS q4wine RUNTIME DESTINATION ${APPS_ENTRY_PATH} BUNDLE DESTINATION ${CMAKE_INSTALL_PREFIX})
    install(TARGETS q4wine DESTINATION ${APPS_ENTRY_PATH})
    install(FILES ${DESKTOP_GUI_ENTRY} DESTINATION ${DESKTOP_ENTRY_PATH})
    set(CPACK_BINARY_DRAGNDROP ON)
ENDIF( RELEASE )

=== debian/changelog ===
q4wine (1.3.1-1~bpo7+1) wheezy-backports-sloppy; urgency=medium

  * Rebuild for wheezy-backports-sloppy.
  * Build with Qt4 instead of Qt5.

 -- Boris Pek <tehnick@debian.org>  Sun, 31 Jul 2016 11:00:16 +0300

q4wine (1.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8 (was 3.9.7): no changes required.

 -- Boris Pek <tehnick@debian.org>  Mon, 25 Jul 2016 02:12:32 +0300

=== debian/control ===
Source: q4wine
Section: otherosfs
Priority: optional
Maintainer: Boris Pek <tehnick@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               icoutils,
               libfuse-dev [!hurd-i386],
               libkvm-dev [kfreebsd-any],
               libqt4-dev,
               qt4-dev-tools
Homepage: https://web.archive.org/web/20131204020055/http://q4wine.brezblock.org.ua/
Vcs-Git: https://github.com/tehnick/q4wine-debian.git
Vcs-Browser: https://github.com/tehnick/q4wine-debian
Standards-Version: 3.9.8

Package: q4wine
Architecture: any
Depends: icoutils,
         libqt4-sql-sqlite,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: sudo,
            wget,
            wine [any-amd64 any-i386 arm64 armel armhf powerpc] |
            wine-development [amd64 any-i386 arm64 armel armhf powerpc] |
            wine1.6 [amd64 i386] |
            wine1.8 [amd64 i386] |
            wine1.9 [amd64 i386]
Suggests: fuseiso [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
          winetricks
Description: Qt GUI for wine (WINE)
 Q4Wine will help you manage wine prefixes and installed applications.
 .
 General features:
  - Can export Qt color theme into wine colors settings.
  - Can easy work with different wine versions at same time.
  - Easy creating, deleting and managing prefixes (WINEPREFIX).
  - Easy controlling for wine process.
  - Easy installer wizard for wine applications.
  - Autostart icons support.
  - Easy CD-image use.
  - You can extract icons from PE files (.exe .dll).
  - Easy backup and restore for managed prefixes.
  - Winetricks support.
  - And more...

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = q4wine

DEBIAN_PATH  := $(abspath $(dir $(firstword $(MAKEFILE_LIST))))
USCAN_REPORT = $(shell uscan --noconf --report --dehs $(DEBIAN_PATH))
CUR_VER = $(shell echo "$(USCAN_REPORT)" | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
CUR_URL = $(shell echo "$(USCAN_REPORT)" | sed -n 's/.*<upstream-url>\(.*\)<\/upstream-url>.*/\1/p')

export DEB_CXXFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CMAKEOPTS = -DCMAKE_BUILD_TYPE=Release \
            -DLIBS_ENTRY_PATH=/usr/lib/q4wine/ \
            -DCMAKE_INSTALL_PREFIX=/usr \
            -DUSE_GZIP=ON \
            -DWITH_WINEAPPDB=OFF

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKEOPTS)

get-orig-source:
	wget -c "$(CUR_URL)" -O "$(PACKAGE)_$(CUR_VER).orig.tar.bz2"

.PHONY: override_dh_makeshlibs

## q4wine 1.3.3

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 SET(CMAKE_VERBOSE_MAKEFILE ON)
 
-SET(APP_VERSION "1.3.1")
+SET(APP_VERSION "1.3.3")
 SET(APP_NAME_GLOBAL "q4wine")
 
 if(POLICY CMP0011)
@@ -169,6 +169,8 @@
     IF( NOT LIBS_ENTRY_PATH )
         IF (${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES x86_64)
             SET( LIBS_ENTRY_PATH ${CMAKE_INSTALL_PREFIX}/lib64/q4wine)
+        ELSEIF (${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES aarch64)
+            SET( LIBS_ENTRY_PATH ${CMAKE_INSTALL_PREFIX}/lib64/q4wine)
         ELSE (${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES x86_64)
             SET( LIBS_ENTRY_PATH ${CMAKE_INSTALL_PREFIX}/lib/q4wine)
         ENDIF (${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES x86_64)
@@ -267,7 +269,3 @@
         MESSAGE(STATUS "    wrestool : NOT FOUND!")
         MESSAGE(FATAL_ERROR "Please install icoutils package or disable icoutils support by adding -DWITH_ICOUTILS=\"OFF\" option to cmake")
     ELSE (${WRESTOOL} MATCHES WRESTOOL-NOTFOUND)
-        MESSAGE(STATUS "    wrestool : ${WRESTOOL}")
-    ENDIF (${WRESTOOL} MATCHES WRESTOOL-NOTFOUND)
-
-    IF (${ICOTOOL} MATCHES ICOTOOL-NOTFOUND)

=== debian/changelog ===
q4wine (1.3.3-1) unstable; urgency=medium

  * New upstream release.
  * Update Homepage URL in debian/control and in fix-documentation-url.patch.
    (Closes: #836429)

 -- Boris Pek <tehnick@debian.org>  Tue, 25 Oct 2016 23:16:07 +0300

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
                icoutils,
                libfuse-dev [!hurd-i386],
                libkvm-dev [kfreebsd-any],
-               libqt4-dev,
-               qt4-dev-tools
-Homepage: https://web.archive.org/web/20131204020055/http://q4wine.brezblock.org.ua/
+               qtbase5-dev,
+               qttools5-dev-tools
+Homepage: https://web.archive.org/web/http://q4wine.brezblock.org.ua/
 Vcs-Git: https://github.com/tehnick/q4wine-debian.git
 Vcs-Browser: https://github.com/tehnick/q4wine-debian
 Standards-Version: 3.9.8
@@ -17,7 +17,7 @@
 Package: q4wine
 Architecture: any
 Depends: icoutils,
-         libqt4-sql-sqlite,
+         libqt5sql5-sqlite,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: sudo,

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 CMAKEOPTS = -DCMAKE_BUILD_TYPE=Release \
             -DLIBS_ENTRY_PATH=/usr/lib/q4wine/ \
             -DCMAKE_INSTALL_PREFIX=/usr \
+            -DQT5=ON \
             -DUSE_GZIP=ON \
             -DWITH_WINEAPPDB=OFF

## q4wine 1.3.5

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 SET(CMAKE_VERBOSE_MAKEFILE ON)
 
-SET(APP_VERSION "1.3.3")
+SET(APP_VERSION "1.3.5")
 SET(APP_NAME_GLOBAL "q4wine")
 
 if(POLICY CMP0011)
@@ -28,7 +28,7 @@
 option(LIBS_ENTRY_PATH "Destination directory for q4wine-core library")
 
 MESSAGE("\n * Utility for Wine applications and prefixes management.")
-MESSAGE(" * Copyright (C) 2008-2016 by Alexey S. Malakhov <brezerk@gmail.com>")
+MESSAGE(" * Copyright (C) 2008-2017 by Oleksii S. Malakhov <brezerk@gmail.com>")
 MESSAGE(" * http://brezblock.org.ua/\n")
 
 MESSAGE(STATUS "Q4Wine build environment -- \n")
@@ -126,7 +126,7 @@
     SET( MACOSX_BUNDLE_VERSION ${APP_VERSION} )
     SET( MACOSX_BUNDLE_LONG_VERSION_STRING Version ${APP_VERSION} )
     SET( MACOSX_BUNDLE_GUI_IDENTIFIER "http://q4wine.brezblock.org.ua/" )
-    SET( MACOSX_BUNDLE_COPYRIGH "Copyright (C) 2008-2016 by Alexey S. Malakhov <brezerk@gmail.com>" )
+    SET( MACOSX_BUNDLE_COPYRIGH "Copyright (C) 2008-2017 by Oleksii S. Malakhov <brezerk@gmail.com>" )
     SET( DESKTOP_ENTRY_PATH ${CMAKE_INSTALL_PREFIX}/${APP_NAME_GLOBAL}.app/Contents/Applications )
     SET( PIXMAPS_ENTRY_PATH ${CMAKE_INSTALL_PREFIX}/${APP_NAME_GLOBAL}.app/Contents/Resources )
     SET( DATA_ENTRY_PATH ${CMAKE_INSTALL_PREFIX}/${APP_NAME_GLOBAL}.app/Contents/Resources/icons )

=== debian/changelog ===
q4wine (1.3.5-1mx15+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * debian/control and rules:  use some alternative B-D and D, plus some code
    in rules file, to build on Qt 5 on Stretch or newer, Qt 4 if older.
  * Add lsb-release to B-D for distro detection code.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 18 Sep 2017 11:36:45 -0700

q4wine (1.3.5-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Boris Pek <tehnick@debian.org>  Mon, 11 Sep 2017 22:44:05 +0300

q4wine (1.3.5-1) unstable; urgency=medium

  * New upstream release. (Closes: #861619)
  * Bump Standards-Version to 4.0.0 (was 3.9.8): no changes required.
  * Add wine2.0 to Recommends of q4wine package.
  * Update debian/rules:
    - simplify CMAKEOPTS
    - delete .PHONY: override_dh_makeshlibs
  * Update debian/copyright.
  * Add debian/clean.

 -- Boris Pek <tehnick@debian.org>  Fri, 04 Aug 2017 00:02:54 +0300

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,25 @@
 Source: q4wine
 Section: otherosfs
 Priority: optional
-Maintainer: Boris Pek <tehnick@debian.org>
-Build-Depends: cmake,
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Bugs: mailto: <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Boris Pek <tehnick@debian.org>
+Build-Depends: cmake, lsb-release, 
                debhelper (>= 9),
                icoutils,
                libfuse-dev [!hurd-i386],
                libkvm-dev [kfreebsd-any],
-               qtbase5-dev,
-               qttools5-dev-tools
+               qtbase5-dev (>= 5.4) | libqt4-dev (<< 4:4.8.7),
+               qttools5-dev-tools (>= 5.4) | qt4-dev-tools (<< 4:4.8.7)
 Homepage: https://web.archive.org/web/http://q4wine.brezblock.org.ua/
 Vcs-Git: https://github.com/tehnick/q4wine-debian.git
 Vcs-Browser: https://github.com/tehnick/q4wine-debian
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 
 Package: q4wine
 Architecture: any
 Depends: icoutils,
-         libqt5sql5-sqlite,
+         libqt5sql5-sqlite (>= 5.4) | libqt4-sql-sqlite (<< 4:4.8.7),
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: sudo,
@@ -26,7 +28,8 @@
             wine-development [amd64 any-i386 arm64 armel armhf powerpc] |
             wine1.6 [amd64 i386] |
             wine1.8 [amd64 i386] |
-            wine1.9 [amd64 i386]
+            wine1.9 [amd64 i386] |
+            wine2.0 [amd64 i386]
 Suggests: fuseiso [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
           winetricks
 Description: Qt GUI for wine (WINE)

=== debian/rules ===
--- 
+++ 
@@ -11,12 +11,19 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-CMAKEOPTS = -DCMAKE_BUILD_TYPE=Release \
-            -DLIBS_ENTRY_PATH=/usr/lib/q4wine/ \
-            -DCMAKE_INSTALL_PREFIX=/usr \
+# Build with Qt 5 on newer listed Debian releases, otherwise use Qt 4
+distrelease := $(shell lsb_release -cs)
+ifeq ($(distrelease),$(filter $(distrelease),stretch buster sid))
+CMAKEOPTS = -DLIBS_ENTRY_PATH=/usr/lib/q4wine/ \
             -DQT5=ON \
             -DUSE_GZIP=ON \
             -DWITH_WINEAPPDB=OFF
+else
+CMAKEOPTS = -DLIBS_ENTRY_PATH=/usr/lib/q4wine/ \
+            -DQT5=OFF \
+            -DUSE_GZIP=ON \
+            -DWITH_WINEAPPDB=OFF
+endif
 
 %:
 	dh $@ --parallel
@@ -27,4 +34,3 @@
 get-orig-source:
 	wget -c "$(CUR_URL)" -O "$(PACKAGE)_$(CUR_VER).orig.tar.bz2"
 
-.PHONY: override_dh_makeshlibs
